> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Update existing FCM provider for the given app.

# Update FCM Provider

For the complete error reference, see [Error Guide](/rest-api/notifications-apis/error-codes).


## OpenAPI

````yaml put /notifications/push/v1/providers/fcm
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /notifications/push/v1/providers/fcm:
    put:
      tags:
        - Notifications
      summary: Update FCM Provider
      description: Update existing FCM provider for the given app.
      operationId: notifications-push-update-fcm-provider
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - properties:
                    providerId:
                      type: string
                  type: object
                - $ref: '#/components/schemas/fcmCreateProviderSchema'
      responses:
        '200':
          description: A list of push notification's settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items: {}
                  meta:
                    type: object
                type: object
              example:
                data:
                  success: true
      security:
        - apiKey: []
components:
  schemas:
    fcmCreateProviderSchema:
      properties:
        providerId:
          type: string
        serviceAccountFilename:
          type: string
        serviceAccountCreds:
          $ref: '#/components/schemas/ServiceAccountCreds'
        notificationInPayload:
          properties:
            ios:
              $ref: '#/components/schemas/SilentNotification'
            android:
              $ref: '#/components/schemas/SilentNotification'
            web:
              $ref: '#/components/schemas/SilentNotification'
          type: object
      type: object
    ServiceAccountCreds:
      properties:
        project_id:
          type: string
        client_email:
          type: string
        private_key:
          type: string
        private_key_id:
          type: string
      type: object
    SilentNotification:
      properties:
        chat:
          type: boolean
        call:
          type: boolean
      type: object
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````